﻿Public Class Form1
    Const ModeSave As Integer = 0
    Const ModeSaveAs As Integer = 1

    Dim fileName As String

    Private Sub boldToolStripButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles boldToolStripButton.Click
        '書式太字のオン・オフ切り替え
        setBold()
    End Sub

    Private Sub italicToolStripButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles italicToolStripButton.Click
        '書式斜体のオン・オフ切り替え
        setItalic()
    End Sub

    Private Sub fontToolStripButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles fontToolStripButton.Click
        'fontDialogに現在の書式をを代入する
        fontDialog.Font = memoRichTextBox.Font

        'fontDialogの表示
        If fontDialog.ShowDialog() = Windows.Forms.DialogResult.OK Then
            'fontDialogで選択された書式をを設置
            memoRichTextBox.Font = fontDialog.Font
            memoRichTextBox.ForeColor = fontDialog.Color
        End If

    End Sub

    Sub setBold()
        '変数newFontStyleを宣言する
        Dim newFontStyle As FontStyle

        'ボタンの設定がオフになっている場合
        If memoRichTextBox.Font.Bold = False Then
            '太字をオンにする
            newFontStyle = memoRichTextBox.Font.Style + FontStyle.Bold
            'ボタンの設定がオンになっている場合
        Else
            '太字をオフにする
            newFontStyle = memoRichTextBox.Font.Style - FontStyle.Bold
        End If

        '書式を設定する
        memoRichTextBox.Font = New Font(memoRichTextBox.Font, newFontStyle)

        '太字のオン・オフに合わせてボタンのオン・オフを切り替える
        boldToolStripButton.Checked = memoRichTextBox.Font.Bold

        '太字のオン・オフに合わせてメニューのオン・オフを切り替える
        boldToolStripMenuItem.Checked = memoRichTextBox.Font.Bold

    End Sub

    Sub setItalic()
        '変数newFontStyleを宣言する
        Dim newFontStyle As FontStyle

        'ボタンの設定がオフになっている場合
        If memoRichTextBox.Font.Italic = False Then
            '斜体をオンにする
            newFontStyle = memoRichTextBox.Font.Style + FontStyle.Italic
            'ボタンの設定がオンになっている場合
        Else
            '斜体をオフにする
            newFontStyle = memoRichTextBox.Font.Style - FontStyle.Italic
        End If
        '書式を設定する
        memoRichTextBox.Font = New Font(memoRichTextBox.Font, newFontStyle)

        '斜体のオン・オフに合わせてボタンのオン・オフを切り替える
        italicToolStripButton.Checked = memoRichTextBox.Font.Italic

        '斜体のオン・オフに合わせてメニューのオン・オフを切り替える
        italicToolStripMenuItem.Checked = memoRichTextBox.Font.Italic

    End Sub

    Private Sub boldToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles boldToolStripMenuItem.Click
        '書式太字のオン・オフ切り替え
        setBold()
    End Sub

    Private Sub italicToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles italicToolStripMenuItem.Click
        '書式斜体のオン・オフ切り替え
        setItalic()
    End Sub

    Sub saveFile(ByVal saveMode As Integer)
        'ファイル名が未定、あるいは名前を付けて保存する
        'のどちらかを満たしているかどうか判断する
        If fileName = "" Or saveMode = ModeSaveAs Then
            'ダイアログを開き、保存ボタンがクリックされたかどうかを判断する
            If saveFileDialog.ShowDialog() = DialogResult.OK Then
                'ファイル名をタイトルバーに表示する
                Me.Text = saveFileDialog.FileName & " - 簡易メモ帳"
                'ファイル名を記憶する
                fileName = saveFileDialog.FileName
                'キャンセルボタンがクリックされた時は、保存をキャンセルする
            Else
                Exit Sub
            End If
        End If
        'ファイルに保存する
        memoRichTextBox.SaveFile(fileName, RichTextBoxStreamType.RichText)
        'Modifiedプロパティを設定する
        memoRichTextBox.Modified = False

    End Sub

    Private Sub saveToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles saveToolStripMenuItem.Click
        'Saveサブプロシージャを呼び出す
        saveFile(ModeSave)
    End Sub

    Private Sub newSaveToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles newSaveToolStripMenuItem.Click
        'Saveサブプロシージャを呼び出す
        saveFile(ModeSaveAs)
    End Sub

    Private Sub saveToolStripButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles saveToolStripButton.Click
        'Saveサブプロシージャを呼び出す
        saveFile(ModeSaveAs)
    End Sub

    Sub openNewFile()
        'リッチテキストボックスの内容をクリアする
        memoRichTextBox.Rtf = ""
        'Modifiedプロパティを初期値に戻す
        memoRichTextBox.Modified = False
        'ファイル名をクリアする
        fileName = ""
        'タイトルバーに「無題 - 簡易メモ帳]と表示する
        Me.Text = "無題 - 簡易メモ帳"
    End Sub

    Sub openFile()
        'ダイアログボックスを開く
        If openFileDialog.ShowDialog() = DialogResult.OK Then
            'ファイル名を記憶する
            fileName = openFileDialog.FileName
            'ファイルを読み込む
            memoRichTextBox.LoadFile(fileName, RichTextBoxStreamType.PlainText)
            'Modifiedプロパティを初期値に戻す
            memoRichTextBox.Modified = False
            'タイトルバーにファイル名を表示する
            Me.Text = fileName & " - 簡易メモ帳"
        End If
    End Sub

    Private Sub newToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles newToolStripMenuItem.Click
        'openNewFileサブプロシージャを呼び出す
        openNewFile()
    End Sub

    Private Sub newToolStripButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles newToolStripButton.Click
        'openNewFileサブプロシージャを呼び出す
        openNewFile()
    End Sub

    Private Sub openToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles openToolStripMenuItem.Click
        'openFileサブプロシージャを呼び出す
        openFile()
    End Sub

    Private Sub openToolStripButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles openToolStripButton.Click
        'openFileサブプロシージャを呼び出す
        openFile()
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'openNewFileサブプロシージャを呼び出す
        openNewFile()
    End Sub

    Private Sub closeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles closeToolStripMenuItem.Click
        Me.Close()
    End Sub
End Class
